#pragma once


#include <opencv2/opencv.hpp>

using namespace std;
using namespace cv;

class ImagePyramid {
public:
	ImagePyramid();
	~ImagePyramid();
private:
	
	vector< vector<Mat> > m_Pyramid;
	
public:
	int SetImage(Mat &input);
	int SetSeed(Mat &input);
	inline int GetLevel(void)
	{
		return m_Pyramid.size();
	}
	inline int GetStep(int l)
	{
		return m_Pyramid[l].size();
	}
	inline Mat GetImage(int l, int s)
	{
		return m_Pyramid[l][s];
	}
};

