#pragma once 

#include <opencv2/opencv.hpp>
#include "graph.h"
#include "GMM.h"


using namespace cv;

class GraphCutsSegmentation {
public:
	GraphCutsSegmentation();
	~GraphCutsSegmentation();
	
	double DistanceColor(Mat &input, int x1, int y1, int x2, int y2);

public:
	Mat Run(Mat &input, Mat &objseed, Mat &bkgseed, double lambda);	
};
